## org.apache.lucene.analysis.el
Class GreekCharsets

    java.lang.Object
      org.apache.lucene.analysis.el.GreekCharsets

Deprecated. Support for non-Unicode encodings will be removed in Lucene 3.0

    public class GreekCharsets

extends java.lang.Object

GreekCharsets class contains encodings schemes (charsets) and toLowerCase() method implementation for greek characters in Unicode, ISO-8859-7 and Microsoft Windows CP1253.

Each encoding scheme contains lowercase (positions 0-35) and uppercase (position 36-68) characters, including accented ones. One should be able to add other encoding schemes (see RFC 1947) by adding the definition of a new charset as well as the required logic in the toLowerCase() method.

Field Summary
`static char[]` `CP1253` Deprecated.
`static char[]` `ISO` Deprecated.
`static char[]` `UnicodeGreek` Deprecated.

Constructor Summary
`GreekCharsets()` Deprecated.

Method Summary
`static char` `toLowerCase(char letter, char[] charset)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UnicodeGreek

    public static char[] UnicodeGreek

  Deprecated.

### ISO

    public static char[] ISO

  Deprecated.

### CP1253

    public static char[] CP1253

  Deprecated.

Constructor Detail

### GreekCharsets

    public GreekCharsets()

  Deprecated.

Method Detail

### toLowerCase

    public static char toLowerCase(char letter,
                                   char[] charset)

  Deprecated.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.